using HG;

namespace RoR2.GamepadVibration;

public class DefaultGamepadVibrationController : GamepadVibrationController
{
	protected override void CalculateMotorValues(in VibrationContext vibrationContext, float[] motorValues)
	{
		float value = vibrationContext.CalcCamDisplacementMagnitude();
		ArrayUtils.SetRange(motorValues, in value, 0, motorValues.Length);
	}
}
